Last Comment Bug 385806 - SOAPAction Header on submission is not being set
: SOAPAction Header on submission is not being set
Status: RESOLVED FIXED
: fixed1.8.1.5
Product: Core
Classification: Components
Component: XForms (show other bugs)
: Trunk
: x86 Windows XP
: -- major (vote)
: ---
Assigned To: aaronr
:
Mentors:
http://www.mozilla.org/projects/xforms/
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-25 14:14 PDT by Keith
Modified: 2007-06-27 12:19 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Web Service submission from XForms (3.50 KB, application/xhtml+xml)
2007-06-25 14:17 PDT, Keith
no flags Details
patch (1.33 KB, patch)
2007-06-25 14:26 PDT, aaronr
doronr: review+
bugs: review+
Details | Diff | Review

Description Keith 2007-06-25 14:14:31 PDT
User-Agent:       Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; Sidewinder 1.0; formsPlayer 2.0; formsPlayer 1.4; SV1; formsPlayer 1.5; .NET CLR 1.1.4322; .NET CLR 2.0.50727)
Build Identifier: 

Reference https://bugzilla.mozilla.org/show_bug.cgi?id=309442.  The code to support the SOAPAction header based upon the XForms 1.1 spec. was added to xforms.xpi 0.8.0.1.  Using a SOAP monitor and the test case from 309442, the SOAPAction header was not being viewed in the http headers.  Discussed the problem with Aaron, who subsequently debugged the problem. He said "we are testing the DOMDocument.  We should be checking against the document's documentElement".  Please reference the SerializeDataXML method where the nodeNS and nodeName are tested to determine if the node of the instance is in the SOAP Namespace and is the SOAP "Envelope" element. 

Reproducible: Always

Steps to Reproduce:
1.See Test case
Comment 1 Keith 2007-06-25 14:17:06 PDT
Created attachment 269735 [details]
Web Service submission from XForms
Comment 2 aaronr 2007-06-25 14:26:00 PDT
Created attachment 269738 [details] [diff] [review]
patch

Simple fix as it turns out.  We were incorrectly looking for SOAPEnvelope on the the document instead of the documentElement.  Doh!
Comment 3 Olli Pettay [:smaug] (high review load, please consider other reviewers) 2007-06-26 05:00:43 PDT
Comment on attachment 269738 [details] [diff] [review]
patch

oops. Regression from Bug 338314 ?
Comment 4 aaronr 2007-06-27 12:19:00 PDT
fix committed to trunk and 1.8 branch

Note You need to log in before you can comment on or make changes to this bug.